<?php

use BearlyDigital\ContactForm\ContactFormController;
use BearlyDigital\ContactForm\HashCash;

@include_once __DIR__ . '/vendor/autoload.php';

Kirby::plugin('bearlydigital/contact-form', [
	'routes' => ContactFormController::routes(),
    'siteMethods' => [
        'rulesForField' => function($page, $field) {
            return htmlspecialchars(json_encode(ContactFormController::getRulesForField($page, $field)));
        },
        'getHashChallenge' => function() {
            return HashCash::createChallenge('contact');
        }
    ],
    "hooks" => [
        "system.loadPlugins:after" => function () {
            HashCash::updateSession();
        },
    ],
]);
