// ../esbuild-overlay/dist/overlay.js
function noop() {
}
function run(fn) {
  return fn();
}
function blank_object() {
  return /* @__PURE__ */ Object.create(null);
}
function run_all(fns) {
  fns.forEach(run);
}
function is_function(thing) {
  return typeof thing === "function";
}
function safe_not_equal(a, b) {
  return a != a ? b == b : a !== b || (a && typeof a === "object" || typeof a === "function");
}
function is_empty(obj) {
  return Object.keys(obj).length === 0;
}
var is_hydrating = false;
function start_hydrating() {
  is_hydrating = true;
}
function end_hydrating() {
  is_hydrating = false;
}
function append(target, node) {
  target.appendChild(node);
}
function append_styles(target, style_sheet_id, styles) {
  const append_styles_to = get_root_for_style(target);
  if (!append_styles_to.getElementById(style_sheet_id)) {
    const style = element("style");
    style.id = style_sheet_id;
    style.textContent = styles;
    append_stylesheet(append_styles_to, style);
  }
}
function get_root_for_style(node) {
  if (!node)
    return document;
  const root = node.getRootNode ? node.getRootNode() : node.ownerDocument;
  if (root && root.host) {
    return root;
  }
  return node.ownerDocument;
}
function append_stylesheet(node, style) {
  append(node.head || node, style);
}
function insert(target, node, anchor) {
  target.insertBefore(node, anchor || null);
}
function detach(node) {
  node.parentNode.removeChild(node);
}
function destroy_each(iterations, detaching) {
  for (let i = 0; i < iterations.length; i += 1) {
    if (iterations[i])
      iterations[i].d(detaching);
  }
}
function element(name) {
  return document.createElement(name);
}
function text(data) {
  return document.createTextNode(data);
}
function space() {
  return text(" ");
}
function listen(node, event, handler, options) {
  node.addEventListener(event, handler, options);
  return () => node.removeEventListener(event, handler, options);
}
function attr(node, attribute, value) {
  if (value == null)
    node.removeAttribute(attribute);
  else if (node.getAttribute(attribute) !== value)
    node.setAttribute(attribute, value);
}
function children(element2) {
  return Array.from(element2.childNodes);
}
function set_data(text2, data) {
  data = "" + data;
  if (text2.wholeText !== data)
    text2.data = data;
}
var current_component;
function set_current_component(component) {
  current_component = component;
}
var dirty_components = [];
var binding_callbacks = [];
var render_callbacks = [];
var flush_callbacks = [];
var resolved_promise = Promise.resolve();
var update_scheduled = false;
function schedule_update() {
  if (!update_scheduled) {
    update_scheduled = true;
    resolved_promise.then(flush);
  }
}
function add_render_callback(fn) {
  render_callbacks.push(fn);
}
var seen_callbacks = /* @__PURE__ */ new Set();
var flushidx = 0;
function flush() {
  const saved_component = current_component;
  do {
    while (flushidx < dirty_components.length) {
      const component = dirty_components[flushidx];
      flushidx++;
      set_current_component(component);
      update(component.$$);
    }
    set_current_component(null);
    dirty_components.length = 0;
    flushidx = 0;
    while (binding_callbacks.length)
      binding_callbacks.pop()();
    for (let i = 0; i < render_callbacks.length; i += 1) {
      const callback = render_callbacks[i];
      if (!seen_callbacks.has(callback)) {
        seen_callbacks.add(callback);
        callback();
      }
    }
    render_callbacks.length = 0;
  } while (dirty_components.length);
  while (flush_callbacks.length) {
    flush_callbacks.pop()();
  }
  update_scheduled = false;
  seen_callbacks.clear();
  set_current_component(saved_component);
}
function update($$) {
  if ($$.fragment !== null) {
    $$.update();
    run_all($$.before_update);
    const dirty = $$.dirty;
    $$.dirty = [-1];
    $$.fragment && $$.fragment.p($$.ctx, dirty);
    $$.after_update.forEach(add_render_callback);
  }
}
var outroing = /* @__PURE__ */ new Set();
var outros;
function group_outros() {
  outros = {
    r: 0,
    c: [],
    p: outros
  };
}
function check_outros() {
  if (!outros.r) {
    run_all(outros.c);
  }
  outros = outros.p;
}
function transition_in(block, local) {
  if (block && block.i) {
    outroing.delete(block);
    block.i(local);
  }
}
function transition_out(block, local, detach2, callback) {
  if (block && block.o) {
    if (outroing.has(block))
      return;
    outroing.add(block);
    outros.c.push(() => {
      outroing.delete(block);
      if (callback) {
        if (detach2)
          block.d(1);
        callback();
      }
    });
    block.o(local);
  } else if (callback) {
    callback();
  }
}
var globals = typeof window !== "undefined" ? window : typeof globalThis !== "undefined" ? globalThis : global;
function create_component(block) {
  block && block.c();
}
function mount_component(component, target, anchor, customElement) {
  const { fragment, on_mount, on_destroy, after_update } = component.$$;
  fragment && fragment.m(target, anchor);
  if (!customElement) {
    add_render_callback(() => {
      const new_on_destroy = on_mount.map(run).filter(is_function);
      if (on_destroy) {
        on_destroy.push(...new_on_destroy);
      } else {
        run_all(new_on_destroy);
      }
      component.$$.on_mount = [];
    });
  }
  after_update.forEach(add_render_callback);
}
function destroy_component(component, detaching) {
  const $$ = component.$$;
  if ($$.fragment !== null) {
    run_all($$.on_destroy);
    $$.fragment && $$.fragment.d(detaching);
    $$.on_destroy = $$.fragment = null;
    $$.ctx = [];
  }
}
function make_dirty(component, i) {
  if (component.$$.dirty[0] === -1) {
    dirty_components.push(component);
    schedule_update();
    component.$$.dirty.fill(0);
  }
  component.$$.dirty[i / 31 | 0] |= 1 << i % 31;
}
function init(component, options, instance4, create_fragment4, not_equal, props, append_styles2, dirty = [-1]) {
  const parent_component = current_component;
  set_current_component(component);
  const $$ = component.$$ = {
    fragment: null,
    ctx: null,
    props,
    update: noop,
    not_equal,
    bound: blank_object(),
    on_mount: [],
    on_destroy: [],
    on_disconnect: [],
    before_update: [],
    after_update: [],
    context: new Map(options.context || (parent_component ? parent_component.$$.context : [])),
    callbacks: blank_object(),
    dirty,
    skip_bound: false,
    root: options.target || parent_component.$$.root
  };
  append_styles2 && append_styles2($$.root);
  let ready = false;
  $$.ctx = instance4 ? instance4(component, options.props || {}, (i, ret, ...rest) => {
    const value = rest.length ? rest[0] : ret;
    if ($$.ctx && not_equal($$.ctx[i], $$.ctx[i] = value)) {
      if (!$$.skip_bound && $$.bound[i])
        $$.bound[i](value);
      if (ready)
        make_dirty(component, i);
    }
    return ret;
  }) : [];
  $$.update();
  ready = true;
  run_all($$.before_update);
  $$.fragment = create_fragment4 ? create_fragment4($$.ctx) : false;
  if (options.target) {
    if (options.hydrate) {
      start_hydrating();
      const nodes = children(options.target);
      $$.fragment && $$.fragment.l(nodes);
      nodes.forEach(detach);
    } else {
      $$.fragment && $$.fragment.c();
    }
    if (options.intro)
      transition_in(component.$$.fragment);
    mount_component(component, options.target, options.anchor, options.customElement);
    end_hydrating();
    flush();
  }
  set_current_component(parent_component);
}
var SvelteElement;
if (typeof HTMLElement === "function") {
  SvelteElement = class extends HTMLElement {
    constructor() {
      super();
      this.attachShadow({ mode: "open" });
    }
    connectedCallback() {
      const { on_mount } = this.$$;
      this.$$.on_disconnect = on_mount.map(run).filter(is_function);
      for (const key in this.$$.slotted) {
        this.appendChild(this.$$.slotted[key]);
      }
    }
    attributeChangedCallback(attr2, _oldValue, newValue) {
      this[attr2] = newValue;
    }
    disconnectedCallback() {
      run_all(this.$$.on_disconnect);
    }
    $destroy() {
      destroy_component(this, 1);
      this.$destroy = noop;
    }
    $on(type, callback) {
      const callbacks = this.$$.callbacks[type] || (this.$$.callbacks[type] = []);
      callbacks.push(callback);
      return () => {
        const index = callbacks.indexOf(callback);
        if (index !== -1)
          callbacks.splice(index, 1);
      };
    }
    $set($$props) {
      if (this.$$set && !is_empty($$props)) {
        this.$$.skip_bound = true;
        this.$$set($$props);
        this.$$.skip_bound = false;
      }
    }
  };
}
var SvelteComponent = class {
  $destroy() {
    destroy_component(this, 1);
    this.$destroy = noop;
  }
  $on(type, callback) {
    const callbacks = this.$$.callbacks[type] || (this.$$.callbacks[type] = []);
    callbacks.push(callback);
    return () => {
      const index = callbacks.indexOf(callback);
      if (index !== -1)
        callbacks.splice(index, 1);
    };
  }
  $set($$props) {
    if (this.$$set && !is_empty($$props)) {
      this.$$.skip_bound = true;
      this.$$set($$props);
      this.$$.skip_bound = false;
    }
  }
};
function add_css(target) {
  append_styles(target, "svelte-1ua6zs9", ".line-text.svelte-1ua6zs9 strong.svelte-1ua6zs9{background:#ffff78;color:#5f4545}");
}
function create_fragment(ctx) {
  let span;
  let t0;
  let strong;
  let t2;
  return {
    c() {
      span = element("span");
      t0 = text(ctx[0]);
      strong = element("strong");
      strong.textContent = `${ctx[1]}`;
      t2 = text(ctx[2]);
      attr(strong, "class", "svelte-1ua6zs9");
      attr(span, "class", "line-text svelte-1ua6zs9");
    },
    m(target, anchor) {
      insert(target, span, anchor);
      append(span, t0);
      append(span, strong);
      append(span, t2);
    },
    p: noop,
    i: noop,
    o: noop,
    d(detaching) {
      if (detaching)
        detach(span);
    }
  };
}
function instance($$self, $$props, $$invalidate) {
  let { text: text2 } = $$props;
  let { column } = $$props;
  let { length } = $$props;
  const [before, highlight, after] = [
    text2.slice(0, column),
    text2.slice(column, column + length),
    text2.slice(column + length)
  ];
  $$self.$$set = ($$props2) => {
    if ("text" in $$props2)
      $$invalidate(3, text2 = $$props2.text);
    if ("column" in $$props2)
      $$invalidate(4, column = $$props2.column);
    if ("length" in $$props2)
      $$invalidate(5, length = $$props2.length);
  };
  return [before, highlight, after, text2, column, length];
}
var HighlightedLine = class extends SvelteComponent {
  constructor(options) {
    super();
    init(this, options, instance, create_fragment, safe_not_equal, { text: 3, column: 4, length: 5 }, add_css);
  }
};
var HighlightedLine_default = HighlightedLine;
function add_css2(target) {
  append_styles(target, "svelte-1ppwwbh", ".stack-entry.svelte-1ppwwbh.svelte-1ppwwbh{cursor:pointer;margin-bottom:2.5em}.lines.svelte-1ppwwbh.svelte-1ppwwbh{color:rgb(187, 165, 165);font-size:0.835em}.lines.svelte-1ppwwbh.svelte-1ppwwbh:not(.no-fade){-webkit-mask-image:linear-gradient(to bottom, rgba(0, 0, 0, 1) 75%, rgba(0, 0, 0, 0));mask-image:linear-gradient(to bottom, rgba(0, 0, 0, 1) 75%, rgba(0, 0, 0, 0))}.line-number.svelte-1ppwwbh.svelte-1ppwwbh{padding-right:1.5em;opacity:0.5}.stack-entry.svelte-1ppwwbh:first-child .line-hili strong.svelte-1ppwwbh{text-decoration:underline wavy #ff0040}.file.svelte-1ppwwbh.svelte-1ppwwbh{font-weight:bold;margin-top:2.5em;margin-bottom:1.5em;color:rgb(202, 17, 63)}.file.svelte-1ppwwbh strong.svelte-1ppwwbh{text-decoration:underline}.file.svelte-1ppwwbh.svelte-1ppwwbh:before{content:'@ ';opacity:0.5;margin-left:-1.25em}");
}
function get_each_context(ctx, list, i) {
  const child_ctx = ctx.slice();
  child_ctx[15] = list[i][0];
  child_ctx[8] = list[i][1];
  return child_ctx;
}
function create_if_block_1(ctx) {
  let span;
  let t_value = String(ctx[15]).padStart(ctx[5], "  ") + "";
  let t;
  return {
    c() {
      span = element("span");
      t = text(t_value);
      attr(span, "class", "line-number svelte-1ppwwbh");
    },
    m(target, anchor) {
      insert(target, span, anchor);
      append(span, t);
    },
    p: noop,
    d(detaching) {
      if (detaching)
        detach(span);
    }
  };
}
function create_else_block(ctx) {
  let t_value = ctx[8] + "";
  let t;
  return {
    c() {
      t = text(t_value);
    },
    m(target, anchor) {
      insert(target, t, anchor);
    },
    p: noop,
    i: noop,
    o: noop,
    d(detaching) {
      if (detaching)
        detach(t);
    }
  };
}
function create_if_block(ctx) {
  let highlightedline;
  let current;
  highlightedline = new HighlightedLine_default({
    props: {
      text: ctx[8],
      column: ctx[1],
      length: ctx[3]
    }
  });
  return {
    c() {
      create_component(highlightedline.$$.fragment);
    },
    m(target, anchor) {
      mount_component(highlightedline, target, anchor);
      current = true;
    },
    p: noop,
    i(local) {
      if (current)
        return;
      transition_in(highlightedline.$$.fragment, local);
      current = true;
    },
    o(local) {
      transition_out(highlightedline.$$.fragment, local);
      current = false;
    },
    d(detaching) {
      destroy_component(highlightedline, detaching);
    }
  };
}
function create_each_block(ctx) {
  let div;
  let t0;
  let current_block_type_index;
  let if_block1;
  let t1;
  let current;
  let if_block0 = ctx[15] > 0 && create_if_block_1(ctx);
  const if_block_creators = [create_if_block, create_else_block];
  const if_blocks = [];
  function select_block_type(ctx2, dirty) {
    if (ctx2[15] == ctx2[2])
      return 0;
    return 1;
  }
  current_block_type_index = select_block_type(ctx, -1);
  if_block1 = if_blocks[current_block_type_index] = if_block_creators[current_block_type_index](ctx);
  return {
    c() {
      div = element("div");
      if (if_block0)
        if_block0.c();
      t0 = space();
      if_block1.c();
      t1 = space();
      attr(div, "class", "line");
    },
    m(target, anchor) {
      insert(target, div, anchor);
      if (if_block0)
        if_block0.m(div, null);
      append(div, t0);
      if_blocks[current_block_type_index].m(div, null);
      append(div, t1);
      current = true;
    },
    p(ctx2, dirty) {
      if (ctx2[15] > 0)
        if_block0.p(ctx2, dirty);
      if_block1.p(ctx2, dirty);
    },
    i(local) {
      if (current)
        return;
      transition_in(if_block1);
      current = true;
    },
    o(local) {
      transition_out(if_block1);
      current = false;
    },
    d(detaching) {
      if (detaching)
        detach(div);
      if (if_block0)
        if_block0.d();
      if_blocks[current_block_type_index].d();
    }
  };
}
function create_fragment2(ctx) {
  let div3;
  let div0;
  let strong;
  let t1;
  let div1;
  let t3;
  let div2;
  let current;
  let mounted;
  let dispose;
  let each_value = ctx[6];
  let each_blocks = [];
  for (let i = 0; i < each_value.length; i += 1) {
    each_blocks[i] = create_each_block(get_each_context(ctx, each_value, i));
  }
  const out = (i) => transition_out(each_blocks[i], 1, 1, () => {
    each_blocks[i] = null;
  });
  return {
    c() {
      div3 = element("div");
      div0 = element("div");
      strong = element("strong");
      strong.textContent = `${ctx[4]}`;
      t1 = space();
      div1 = element("div");
      div1.textContent = `${ctx[0]}`;
      t3 = space();
      div2 = element("div");
      for (let i = 0; i < each_blocks.length; i += 1) {
        each_blocks[i].c();
      }
      attr(strong, "class", "svelte-1ppwwbh");
      attr(div0, "class", "file svelte-1ppwwbh");
      attr(div1, "class", "error");
      attr(div2, "class", "lines svelte-1ppwwbh");
      attr(div3, "class", "stack-entry svelte-1ppwwbh");
    },
    m(target, anchor) {
      insert(target, div3, anchor);
      append(div3, div0);
      append(div0, strong);
      append(div3, t1);
      append(div3, div1);
      append(div3, t3);
      append(div3, div2);
      for (let i = 0; i < each_blocks.length; i += 1) {
        each_blocks[i].m(div2, null);
      }
      current = true;
      if (!mounted) {
        dispose = listen(div3, "click", ctx[7]);
        mounted = true;
      }
    },
    p(ctx2, [dirty]) {
      if (dirty & 110) {
        each_value = ctx2[6];
        let i;
        for (i = 0; i < each_value.length; i += 1) {
          const child_ctx = get_each_context(ctx2, each_value, i);
          if (each_blocks[i]) {
            each_blocks[i].p(child_ctx, dirty);
            transition_in(each_blocks[i], 1);
          } else {
            each_blocks[i] = create_each_block(child_ctx);
            each_blocks[i].c();
            transition_in(each_blocks[i], 1);
            each_blocks[i].m(div2, null);
          }
        }
        group_outros();
        for (i = each_value.length; i < each_blocks.length; i += 1) {
          out(i);
        }
        check_outros();
      }
    },
    i(local) {
      if (current)
        return;
      for (let i = 0; i < each_value.length; i += 1) {
        transition_in(each_blocks[i]);
      }
      current = true;
    },
    o(local) {
      each_blocks = each_blocks.filter(Boolean);
      for (let i = 0; i < each_blocks.length; i += 1) {
        transition_out(each_blocks[i]);
      }
      current = false;
    },
    d(detaching) {
      if (detaching)
        detach(div3);
      destroy_each(each_blocks, detaching);
      mounted = false;
      dispose();
    }
  };
}
function instance2($$self, $$props, $$invalidate) {
  var _a;
  const NULL_LOCATION = {
    length: 0,
    line: 1,
    lineText: "???",
    column: 1,
    file: "(no file)",
    namespace: "",
    suggestion: ""
  };
  let { error } = $$props;
  let { openFileURL } = $$props;
  const location = (_a = error.location) !== null && _a !== void 0 ? _a : NULL_LOCATION;
  const { text: text2 } = error;
  const { column, line, length, lineText, file } = location;
  const lineNumberWidth = String(line).length;
  const lines = lineText.split(/\r?\n/g);
  const linesWithNumbers = lines.length > 1 ? lines.map((l) => [0, l]) : [[line, lineText]];
  function onClick() {
    if (!openFileURL)
      return;
    const url = new URL(openFileURL);
    url.searchParams.append("file", location.file);
    url.searchParams.append("line", String(location.line));
    url.searchParams.append("column", String(location.column));
    fetch(url.toString());
  }
  $$self.$$set = ($$props2) => {
    if ("error" in $$props2)
      $$invalidate(9, error = $$props2.error);
    if ("openFileURL" in $$props2)
      $$invalidate(10, openFileURL = $$props2.openFileURL);
  };
  return [
    text2,
    column,
    line,
    length,
    file,
    lineNumberWidth,
    linesWithNumbers,
    onClick,
    lineText,
    error,
    openFileURL
  ];
}
var StackEntry = class extends SvelteComponent {
  constructor(options) {
    super();
    init(this, options, instance2, create_fragment2, safe_not_equal, { error: 9, openFileURL: 10 }, add_css2);
  }
};
var StackEntry_default = StackEntry;
function add_css3(target) {
  append_styles(target, "svelte-1nkg4nv", ".modal.svelte-1nkg4nv.svelte-1nkg4nv{position:fixed;top:0;right:0;bottom:0;left:0;background:white;z-index:10000;box-sizing:border-box;overflow-y:scroll;overflow-x:hidden;font-size:18px;--left-pad:60px}.modal.svelte-1nkg4nv.svelte-1nkg4nv,.modal.svelte-1nkg4nv .svelte-1nkg4nv{display:block;padding:0;margin:0;font-family:Menlo, Monaco, 'Courier New', Courier, monospace}.modal.svelte-1nkg4nv h1.svelte-1nkg4nv{color:black;margin:0;padding:0;font-size:1.77em;font-weight:600;opacity:0.75;margin-top:50px;margin-bottom:45px;position:relative;padding-left:var(--left-pad)}.close.svelte-1nkg4nv.svelte-1nkg4nv{all:unset;color:black;font-weight:normal;text-decoration:none;position:absolute;top:-0.32em;right:1em;font-size:1.77em;opacity:0.15;transition:all 0.25s ease-in-out}.close.svelte-1nkg4nv.svelte-1nkg4nv:hover{transform:scale(1.5);opacity:0.25}.error.svelte-1nkg4nv.svelte-1nkg4nv{margin:1em 0 3em 0;left:0}.error-title.svelte-1nkg4nv.svelte-1nkg4nv{display:flex;align-items:stretch;padding-right:50px}.error-type.svelte-1nkg4nv.svelte-1nkg4nv{min-height:2.8em;display:flex !important;align-items:center;padding:0 1em;background:rgb(255, 0, 64);color:white;margin-right:2em;padding-left:var(--left-pad);white-space:nowrap}.error-counter.svelte-1nkg4nv.svelte-1nkg4nv{color:white;opacity:0.3;position:absolute;left:0.8em}.error-message.svelte-1nkg4nv.svelte-1nkg4nv{display:flex !important;align-items:center;font-weight:400;line-height:1em}.error-stack.svelte-1nkg4nv.svelte-1nkg4nv{margin-top:2em;white-space:pre;padding-left:var(--left-pad)}@media only screen and (max-width: 640px){.modal.svelte-1nkg4nv.svelte-1nkg4nv{font-size:15px;--left-pad:50px}.modal.svelte-1nkg4nv h1.svelte-1nkg4nv{margin:40px 0}}@media only screen and (max-width: 500px){.modal.svelte-1nkg4nv.svelte-1nkg4nv{font-size:14px;--left-pad:45px}.modal.svelte-1nkg4nv h1.svelte-1nkg4nv{margin:30px 0}}");
}
function get_each_context2(ctx, list, i) {
  const child_ctx = ctx.slice();
  child_ctx[5] = list[i];
  return child_ctx;
}
function create_each_block2(ctx) {
  let stackentry;
  let current;
  stackentry = new StackEntry_default({
    props: {
      error: ctx[5],
      openFileURL: ctx[1]
    }
  });
  return {
    c() {
      create_component(stackentry.$$.fragment);
    },
    m(target, anchor) {
      mount_component(stackentry, target, anchor);
      current = true;
    },
    p(ctx2, dirty) {
      const stackentry_changes = {};
      if (dirty & 1)
        stackentry_changes.error = ctx2[5];
      if (dirty & 2)
        stackentry_changes.openFileURL = ctx2[1];
      stackentry.$set(stackentry_changes);
    },
    i(local) {
      if (current)
        return;
      transition_in(stackentry.$$.fragment, local);
      current = true;
    },
    o(local) {
      transition_out(stackentry.$$.fragment, local);
      current = false;
    },
    d(detaching) {
      destroy_component(stackentry, detaching);
    }
  };
}
function create_fragment3(ctx) {
  let div4;
  let h1;
  let t0;
  let button;
  let t2;
  let div3;
  let div2;
  let div0;
  let span1;
  let t3;
  let t4;
  let span0;
  let t5_value = ctx[0].length + "";
  let t5;
  let t6;
  let span2;
  let t7;
  let t8_value = ctx[0].length + "";
  let t8;
  let t9;
  let t10_value = ctx[0].length > 1 ? "s" : "";
  let t10;
  let t11;
  let div1;
  let current;
  let mounted;
  let dispose;
  let each_value = ctx[0];
  let each_blocks = [];
  for (let i = 0; i < each_value.length; i += 1) {
    each_blocks[i] = create_each_block2(get_each_context2(ctx, each_value, i));
  }
  const out = (i) => transition_out(each_blocks[i], 1, 1, () => {
    each_blocks[i] = null;
  });
  return {
    c() {
      div4 = element("div");
      h1 = element("h1");
      t0 = text("Oops :( ");
      button = element("button");
      button.textContent = "\xD7";
      t2 = space();
      div3 = element("div");
      div2 = element("div");
      div0 = element("div");
      span1 = element("span");
      t3 = text(ctx[3]);
      t4 = space();
      span0 = element("span");
      t5 = text(t5_value);
      t6 = space();
      span2 = element("span");
      t7 = text("Build failed with ");
      t8 = text(t8_value);
      t9 = text(" error");
      t10 = text(t10_value);
      t11 = space();
      div1 = element("div");
      for (let i = 0; i < each_blocks.length; i += 1) {
        each_blocks[i].c();
      }
      attr(button, "class", "close svelte-1nkg4nv");
      attr(h1, "class", "svelte-1nkg4nv");
      attr(span0, "class", "error-counter svelte-1nkg4nv");
      attr(span1, "class", "error-type svelte-1nkg4nv");
      attr(span2, "class", "error-message svelte-1nkg4nv");
      attr(div0, "class", "error-title svelte-1nkg4nv");
      attr(div1, "class", "error-stack svelte-1nkg4nv");
      attr(div2, "class", "error svelte-1nkg4nv");
      attr(div3, "class", "errors svelte-1nkg4nv");
      attr(div4, "class", "modal svelte-1nkg4nv");
    },
    m(target, anchor) {
      insert(target, div4, anchor);
      append(div4, h1);
      append(h1, t0);
      append(h1, button);
      append(div4, t2);
      append(div4, div3);
      append(div3, div2);
      append(div2, div0);
      append(div0, span1);
      append(span1, t3);
      append(span1, t4);
      append(span1, span0);
      append(span0, t5);
      append(div0, t6);
      append(div0, span2);
      append(span2, t7);
      append(span2, t8);
      append(span2, t9);
      append(span2, t10);
      append(div2, t11);
      append(div2, div1);
      for (let i = 0; i < each_blocks.length; i += 1) {
        each_blocks[i].m(div1, null);
      }
      current = true;
      if (!mounted) {
        dispose = listen(button, "click", function() {
          if (is_function(ctx[2]))
            ctx[2].apply(this, arguments);
        });
        mounted = true;
      }
    },
    p(new_ctx, [dirty]) {
      ctx = new_ctx;
      if ((!current || dirty & 1) && t5_value !== (t5_value = ctx[0].length + ""))
        set_data(t5, t5_value);
      if ((!current || dirty & 1) && t8_value !== (t8_value = ctx[0].length + ""))
        set_data(t8, t8_value);
      if ((!current || dirty & 1) && t10_value !== (t10_value = ctx[0].length > 1 ? "s" : ""))
        set_data(t10, t10_value);
      if (dirty & 3) {
        each_value = ctx[0];
        let i;
        for (i = 0; i < each_value.length; i += 1) {
          const child_ctx = get_each_context2(ctx, each_value, i);
          if (each_blocks[i]) {
            each_blocks[i].p(child_ctx, dirty);
            transition_in(each_blocks[i], 1);
          } else {
            each_blocks[i] = create_each_block2(child_ctx);
            each_blocks[i].c();
            transition_in(each_blocks[i], 1);
            each_blocks[i].m(div1, null);
          }
        }
        group_outros();
        for (i = each_value.length; i < each_blocks.length; i += 1) {
          out(i);
        }
        check_outros();
      }
    },
    i(local) {
      if (current)
        return;
      for (let i = 0; i < each_value.length; i += 1) {
        transition_in(each_blocks[i]);
      }
      current = true;
    },
    o(local) {
      each_blocks = each_blocks.filter(Boolean);
      for (let i = 0; i < each_blocks.length; i += 1) {
        transition_out(each_blocks[i]);
      }
      current = false;
    },
    d(detaching) {
      if (detaching)
        detach(div4);
      destroy_each(each_blocks, detaching);
      mounted = false;
      dispose();
    }
  };
}
function instance3($$self, $$props, $$invalidate) {
  var _a;
  let { errors } = $$props;
  let { openFileURL } = $$props;
  let { onClose } = $$props;
  const type = errors.length > 0 && ((_a = errors[0].detail) === null || _a === void 0 ? void 0 : _a.type) || "Error";
  $$self.$$set = ($$props2) => {
    if ("errors" in $$props2)
      $$invalidate(0, errors = $$props2.errors);
    if ("openFileURL" in $$props2)
      $$invalidate(1, openFileURL = $$props2.openFileURL);
    if ("onClose" in $$props2)
      $$invalidate(2, onClose = $$props2.onClose);
  };
  return [errors, openFileURL, onClose, type];
}
var Overlay = class extends SvelteComponent {
  constructor(options) {
    super();
    init(this, options, instance3, create_fragment3, safe_not_equal, { errors: 0, openFileURL: 1, onClose: 2 }, add_css3);
  }
};
var Overlay_default = Overlay;
var ROOT_ID = "__esbuild_lr_root__";
function overlay(props) {
  let target = document.getElementById(ROOT_ID);
  if (!target) {
    target = document.createElement("div");
    target.setAttribute("id", ROOT_ID);
    document.body.appendChild(target);
  }
  const onClose = () => {
    component.$destroy();
    if (target)
      target.remove();
  };
  const component = new Overlay_default({
    target,
    props: {
      errors: props.errors,
      openFileURL: props.openFileURL,
      onClose
    }
  });
  return onClose;
}
export {
  overlay
};
//# sourceMappingURL=overlay-CDPGLKPJ.js.map
