"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
function writeWarnings(result) {
    if (!result?.warnings)
        return;
    for (const warning of result.warnings) {
        if (!warning.location) {
            console.warn(`WARN: ${warning.text}`);
        }
        else {
            const { file, line, column } = warning.location;
            const pluginText = warning.pluginName ? `[plugin: ${warning.pluginName}] ` : '';
            console.warn(`WARN: ${file}:${line}:${column}: warning: ${pluginText}${warning.text}`);
        }
    }
}
async function init() {
    const { overlay } = await Promise.resolve().then(() => __importStar(require('@jgoz/esbuild-overlay')));
    const evt = new EventSource(window.__ESBUILD_LR_PLUGIN__ + '/esbuild');
    let removeOverlay;
    evt.addEventListener('reload', e => {
        writeWarnings(JSON.parse(e?.data ?? '{}'));
        console.log('esbuild-plugin-livereload: reloading...');
        location.reload();
    });
    evt.addEventListener('reload-css', e => {
        const result = JSON.parse(e?.data ?? '{}');
        writeWarnings(result);
        console.log('esbuild-plugin-livereload: reloading CSS...');
        const links = document.getElementsByTagName('link');
        for (let i = 0; i < links.length; i++) {
            const link = links.item(i);
            if (!link || link.rel !== 'stylesheet' || !link.href)
                continue;
            const url = new URL(link.href);
            url.searchParams.set('_hash', Date.now().toString());
            link.href = url.href;
        }
    });
    evt.addEventListener('build-result', e => {
        const result = JSON.parse(e?.data ?? '{}');
        writeWarnings(result);
        if (removeOverlay && !result.errors.length) {
            removeOverlay();
            removeOverlay = undefined;
        }
        if (result.errors?.length) {
            removeOverlay = overlay({
                errors: result.errors,
                openFileURL: window.__ESBUILD_LR_PLUGIN__ + '/open-editor',
            });
        }
    });
}
init().catch(e => {
    console.error('ERROR: Unable to initialize esbuild-plugin-livereload');
    console.error(e.toString());
});
//# sourceMappingURL=event-source.js.map